gi-gtk3-3.0.44: Gtk 3.x bindings

Copyright | Will Thompson and Iñaki García Etxebarria
License | LGPL-2.1
Maintainer | Iñaki García Etxebarria
Safe Haskell | None
Language | Haskell2010

GI.Gtk.Objects.ButtonAccessible

Contents

- Exported types
- Methods

Description

No description available in the introspection data.

Synopsis

- newtype ButtonAccessible = ButtonAccessible (ManagedPtr ButtonAccessible)
- class (GObject o, IsDescendantOf ButtonAccessible o) => IsButtonAccessible o
- toButtonAccessible :: (MonadIO m, IsButtonAccessible o) => o -> m ButtonAccessible

# Exported types

newtype ButtonAccessible Source #

Memory-managed wrapper type.

Constructors

ButtonAccessible (ManagedPtr ButtonAccessible) |

#### Instances

Instances details

Eq ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible Methods (==) :: ButtonAccessible -> ButtonAccessible -> Bool Source # (/=) :: ButtonAccessible -> ButtonAccessible -> Bool Source #
GObject ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible
ManagedPtrNewtype ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible Methods toManagedPtr :: ButtonAccessible -> ManagedPtr ButtonAccessible Source #
TypedObject ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible Methods glibType :: IO GType Source #
HasParentTypes ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible
IsGValue (Maybe ButtonAccessible) Source # | Convert `ButtonAccessible` to and from `GValue`. See `toGValue` and `fromGValue`.
Instance details Defined in GI.Gtk.Objects.ButtonAccessible Methods gvalueGType_ :: IO GType Source # gvalueSet_ :: Ptr GValue -> Maybe ButtonAccessible -> IO () Source # gvalueGet_ :: Ptr GValue -> IO (Maybe ButtonAccessible) Source #
type ParentTypes ButtonAccessible Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible type ParentTypes ButtonAccessible = '[ContainerAccessible, WidgetAccessible, Accessible, Object, Object, Action, Component, Image]

class (GObject o, IsDescendantOf ButtonAccessible o) => IsButtonAccessible o Source #

Type class for types which can be safely cast to `ButtonAccessible`, for instance with `toButtonAccessible`.

#### Instances

Instances details

(GObject o, IsDescendantOf ButtonAccessible o) => IsButtonAccessible o Source # |
Instance details Defined in GI.Gtk.Objects.ButtonAccessible

toButtonAccessible :: (MonadIO m, IsButtonAccessible o) => o -> m ButtonAccessible Source #

Cast to `ButtonAccessible`, for types for which this is known to be safe. For general casts, use `castTo`.

# Methods

### Click to display all available methods, including inherited ones

Expand

#### Methods

addRelationship, bindProperty, bindPropertyFull, connectWidgetDestroyed, contains, doAction, forceFloating, freezeNotify, getv, grabFocus, initialize, isFloating, notify, notifyByPspec, notifyStateChange, peekParent, ref, refAccessibleAtPoint, refAccessibleChild, refRelationSet, refSink, refStateSet, removeFocusHandler, removePropertyChangeHandler, removeRelationship, runDispose, scrollTo, scrollToPoint, stealData, stealQdata, thawNotify, unref, watchClosure.

#### Getters

getAccessibleId, getAlpha, getAttributes, getData, getDescription, getExtents, getHelpText, getImageDescription, getImageLocale, getImagePosition, getImageSize, getIndexInParent, getKeybinding, getLayer, getLocalizedName, getMdiZorder, getNAccessibleChildren, getNActions, getName, getObjectLocale, getParent, getPosition, getProperty, getQdata, getRole, getSize, getWidget.

#### Setters

setAccessibleId, setData, setDataFull, setDescription, setExtents, setHelpText, setImageDescription, setName, setParent, setPosition, setProperty, setRole, setSize, setWidget.